Package com.independentsoft.office.word.math

# Class NaryProperties

java.lang.Object
com.independentsoft.office.word.math.NaryProperties

public class NaryProperties extends Object
The Class NaryProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NaryProperties()`
  Instantiates a new nary properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NaryProperties`
  `clone()`
  `char`
  `getCharacter()`
  Gets the character.
  `ControlProperties`
  `getControlProperties()`
  Gets the control properties.
  `ExtendedBoolean`
  `getGrow()`
  Gets the grow.
  `ExtendedBoolean`
  `getHideSubscript()`
  Gets the hide subscript.
  `ExtendedBoolean`
  `getHideSuperscript()`
  Gets the hide superscript.
  `LimitLocation`
  `getLimitLocation()`
  Gets the limit location.
  `void`
  `setCharacter​(char character)`
  Sets the character.
  `void`
  `setGrow​(ExtendedBoolean grow)`
  Sets the grow.
  `void`
  `setHideSubscript​(ExtendedBoolean hideSubscript)`
  Sets the hide subscript.
  `void`
  `setHideSuperscript​(ExtendedBoolean hideSuperscript)`
  Sets the hide superscript.
  `void`
  `setLimitLocation​(LimitLocation limitLocation)`
  Sets the limit location.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NaryProperties

    public NaryProperties()
    Instantiates a new nary properties.

- ## Method Details

  - ### clone

    public NaryProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCharacter

    public char getCharacter()
    Gets the character.
    Returns:
      the character

  - ### setCharacter

    public void setCharacter​(char character)
    Sets the character.
    Parameters:
      `character` - the new character

  - ### getGrow

    public ExtendedBoolean getGrow()
    Gets the grow.
    Returns:
      the grow

  - ### setGrow

    public void setGrow​(ExtendedBoolean grow)
    Sets the grow.
    Parameters:
      `grow` - the new grow

  - ### getLimitLocation

    public LimitLocation getLimitLocation()
    Gets the limit location.
    Returns:
      the limit location

  - ### setLimitLocation

    public void setLimitLocation​(LimitLocation limitLocation)
    Sets the limit location.
    Parameters:
      `limitLocation` - the new limit location

  - ### getHideSubscript

    public ExtendedBoolean getHideSubscript()
    Gets the hide subscript.
    Returns:
      the hide subscript

  - ### setHideSubscript

    public void setHideSubscript​(ExtendedBoolean hideSubscript)
    Sets the hide subscript.
    Parameters:
      `hideSubscript` - the new hide subscript

  - ### getHideSuperscript

    public ExtendedBoolean getHideSuperscript()
    Gets the hide superscript.
    Returns:
      the hide superscript

  - ### setHideSuperscript

    public void setHideSuperscript​(ExtendedBoolean hideSuperscript)
    Sets the hide superscript.
    Parameters:
      `hideSuperscript` - the new hide superscript

  - ### getControlProperties

    public ControlProperties getControlProperties()
    Gets the control properties.
    Returns:
      the control properties